Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1099697 - PRD35 - [RFE] Need rhev-guest-tools for Win8.1 and Win2k12R2.
Summary: PRD35 - [RFE] Need rhev-guest-tools for Win8.1 and Win2k12R2.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Windows Guest Tools
Version: 3.3.0
Hardware: x86_64
OS: Windows
high
urgent
Target Milestone: ---
: 3.5.0
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-21 02:47 UTC by Udayendu Sekhar Kar
Modified: 2019-02-15 13:40 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this feature, support is provided for Windows Guest Tools for Windows Server 2012 R2 and Windows 8.1 virtual machines. This feature is also backported to Red Hat Enterprise Virtualization 3.4.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:41:22 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0198 normal SHIPPED_LIVE rhev-guest-tools-iso bug fix and enhancement update 2015-02-11 22:34:00 UTC

Comment 3 Jiri Belka 2014-06-23 06:32:19 UTC
w2k12 is already supported, i suppose you wanted w2k12r2.

Comment 4 Udayendu Sekhar Kar 2014-06-23 08:43:25 UTC
Yes, its w2k12r2. 

Thank You.

--Uday

Comment 7 Jiri Belka 2014-08-05 12:26:10 UTC
ok, 3.5.1

Comment 9 Yaniv Lavi 2015-01-19 17:48:43 UTC
Original request:

1. What is the nature and description of the request?  
Currently we dont have a rhev-guest-tool that supports for Win8.1 and Win2K12 because of no spice and virtio-win driver.

The customer needs the rhevm guest tool for Win8.1 and Win2K12. Based on BZ#1054216, its not available due to the below reason:
   - no spice driver for those OSes.
   - no virtio-win drivers for those OSes.

Version-Release number of selected component (if applicable):
rhevm 3.3
      
2. Why does the customer need this? (List the business requirements here)  

We should have this rhev-guest-tool for Win8.1 and Win2K12 as most of the customers deploying this in their RHEV environment due to the project requirement and lask of this is stopping them from using rhev.

Comment 10 Lev Veyde 2015-01-20 10:25:05 UTC
(In reply to Yaniv Dary from comment #9)
> Original request:
> 
> 1. What is the nature and description of the request?  
> Currently we dont have a rhev-guest-tool that supports for Win8.1 and
> Win2K12 because of no spice and virtio-win driver.
> 
> The customer needs the rhevm guest tool for Win8.1 and Win2K12. Based on
> BZ#1054216, its not available due to the below reason:
>    - no spice driver for those OSes.
>    - no virtio-win drivers for those OSes.
> 
> Version-Release number of selected component (if applicable):
> rhevm 3.3
>       
> 2. Why does the customer need this? (List the business requirements here)  
> 
> We should have this rhev-guest-tool for Win8.1 and Win2K12 as most of the
> customers deploying this in their RHEV environment due to the project
> requirement and lask of this is stopping them from using rhev.

Please note: we do have virtio-win drivers for both 2K12R2 Server and Win 8.1, and they are already included in the rhev-guest-tools package.

We do currently missing Spice (QXL) driver for 2K12, 2K12R2 and Win 8 and 8.1, as these are in development.

Comment 12 errata-xmlrpc 2015-02-11 17:41:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0198.html


Note You need to log in before you can comment on or make changes to this bug.